Bug 312439 - Amarok crashes when selecting song with Enter [@ Playlist::PrettyListView::trackActivate]
Summary: Amarok crashes when selecting song with Enter [@ Playlist::PrettyListView::tr...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.6.90 (2.7 beta)
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
: 312028 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-12-31 16:57 UTC by Michał Zając
Modified: 2013-01-08 15:41 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Zając 2012-12-31 16:57:11 UTC
Application: amarok (2.6.90)
KDE Platform Version: 4.9.95
Qt Version: 4.8.3
Operating System: Linux 3.5.0-21-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:
Quite simple, was navigating through the playlist using arrow keys and when I selected a track to play and pressed Enter it crashed

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1053e247c0 (LWP 23969))]

Thread 17 (Thread 0x7f102d5a7700 (LWP 23974)):
#0  0x00007f105071f303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f104b174d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f104b174ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f10510b5c16 in QEventDispatcherGlib::processEvents (this=0x7f101c000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f10510862bf in QEventLoop::processEvents (this=this@entry=0x7f102d5a6d90, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f1051086548 in QEventLoop::exec (this=0x7f102d5a6d90, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f1050f87b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f10510669af in QInotifyFileSystemWatcherEngine::run (this=0x24ca7d0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f1050f8aaec in QThreadPrivate::start (arg=0x24ca7d0) at thread/qthread_unix.cpp:338
#9  0x00007f104cc6ae9a in start_thread (arg=0x7f102d5a7700) at pthread_create.c:308
#10 0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f1023d13700 (LWP 23976)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1050f8b04b in wait (time=18446744073709551615, this=0x254afb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x254b130, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f104e1e30e1 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f104e1e592b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f104e1e5944 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f104e1e5944 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f104e1e479f in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f104e1e482b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0x00007f1050f8aaec in QThreadPrivate::start (arg=0x254b5b0) at thread/qthread_unix.cpp:338
#10 0x00007f104cc6ae9a in start_thread (arg=0x7f1023d13700) at pthread_create.c:308
#11 0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f1022594700 (LWP 23977)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1050f8b04b in wait (time=18446744073709551615, this=0x254afb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x254b130, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f104e1e30e1 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f104e1e592b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f104e1e5944 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f104e1e479f in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f104e1e482b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#8  0x00007f1050f8aaec in QThreadPrivate::start (arg=0x278caa0) at thread/qthread_unix.cpp:338
#9  0x00007f104cc6ae9a in start_thread (arg=0x7f1022594700) at pthread_create.c:308
#10 0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f1021d93700 (LWP 23978)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1050f8b04b in wait (time=18446744073709551615, this=0x254afb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x254b130, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f104e1e30e1 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f104e1e592b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f104e1e479f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f104e1e482b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f1050f8aaec in QThreadPrivate::start (arg=0x27b9840) at thread/qthread_unix.cpp:338
#8  0x00007f104cc6ae9a in start_thread (arg=0x7f1021d93700) at pthread_create.c:308
#9  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f1021592700 (LWP 23979)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1050f8b04b in wait (time=18446744073709551615, this=0x254afb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x254b130, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f104e1e30e1 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f104e1e592b in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f104e1e5944 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f104e1e5944 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x00007f104e1e5944 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x00007f104e1e479f in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x00007f104e1e482b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#10 0x00007f1050f8aaec in QThreadPrivate::start (arg=0x27bab10) at thread/qthread_unix.cpp:338
#11 0x00007f104cc6ae9a in start_thread (arg=0x7f1021592700) at pthread_create.c:308
#12 0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f100bfff700 (LWP 23980)):
#0  0x00007f105071f303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f104b174d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f104b174ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f10510b5c16 in QEventDispatcherGlib::processEvents (this=0x7f10040008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f10510862bf in QEventLoop::processEvents (this=this@entry=0x7f100bffed90, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f1051086548 in QEventLoop::exec (this=0x7f100bffed90, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f1050f87b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f10510669af in QInotifyFileSystemWatcherEngine::run (this=0x2a07520) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f1050f8aaec in QThreadPrivate::start (arg=0x2a07520) at thread/qthread_unix.cpp:338
#9  0x00007f104cc6ae9a in start_thread (arg=0x7f100bfff700) at pthread_create.c:308
#10 0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f100affd700 (LWP 23985)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104d243cd7 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f104d243d09 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f104cc6ae9a in start_thread (arg=0x7f100affd700) at pthread_create.c:308
#4  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f1000c11700 (LWP 23987)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10433356dc in gst_base_sink_wait_preroll () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#3  0x00007f1043335887 in gst_base_sink_do_preroll () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#4  0x00007f1043337205 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#5  0x00007f104333963f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#6  0x00007f1043339b48 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#7  0x00007f1043339e7f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#8  0x00007f104308a4ce in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#9  0x00007f104308adde in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#10 0x00007f104308dca3 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#11 0x00007f10433478dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#12 0x00007f104308a4ce in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#13 0x00007f104308adde in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#14 0x00007f104308dca3 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#15 0x00007f10433478dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#16 0x00007f104308a4ce in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#17 0x00007f104308adde in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#18 0x00007f104308dca3 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#19 0x00007f102f993df6 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#20 0x00007f10430b3e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#21 0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f104cc6ae9a in start_thread (arg=0x7f1000c11700) at pthread_create.c:308
#24 0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#25 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0ff7d73700 (LWP 23988)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff7d73700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f0ff7572700 (LWP 23989)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff7572700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0ff6d71700 (LWP 23990)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff6d71700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f0ff6570700 (LWP 23991)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff6570700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0ff5d6f700 (LWP 23992)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff5d6f700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0ff556e700 (LWP 23993)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff556e700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0ff4d6d700 (LWP 24194)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f104b1b209f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f10430b4003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007f104b198e62 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f104b198645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f104cc6ae9a in start_thread (arg=0x7f0ff4d6d700) at pthread_create.c:308
#6  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f10307d5700 (LWP 29317)):
#0  0x00007f105071f303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f10489e0b6f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f10489d20b5 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f10489d2719 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f10489d27d0 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f10489e0b1f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f10440b2543 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-2.1.so
#7  0x00007f104cc6ae9a in start_thread (arg=0x7f10307d5700) at pthread_create.c:308
#8  0x00007f105072acbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1053e247c0 (LWP 23969)):
[KCrash Handler]
#5  QSortFilterProxyModelPrivate::proxy_to_source (this=0x277a9d0, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:370
#6  0x00007f1051ff495d in QSortFilterProxyModel::mapToSource (this=<optimized out>, proxyIndex=...) at itemviews/qsortfilterproxymodel.cpp:2503
#7  0x00007f1051ff3a46 in QSortFilterProxyModel::buddy (this=0x27768f0, index=...) at itemviews/qsortfilterproxymodel.cpp:1998
#8  0x00007f1051f74090 in QAbstractItemViewPrivate::sendDelegateEvent (this=this@entry=0x2e0eea0, index=..., event=event@entry=0x0) at itemviews/qabstractitemview.cpp:4179
#9  0x00007f1051f7a45c in QAbstractItemView::edit (this=0x2e0edf0, index=..., trigger=QAbstractItemView::CurrentChanged, event=0x0) at itemviews/qabstractitemview.cpp:2560
#10 0x00007f1051f7cb7f in QAbstractItemView::currentChanged (this=0x2e0edf0, current=..., previous=...) at itemviews/qabstractitemview.cpp:3507
#11 0x00007f105109cf5f in QMetaObject::activate (sender=0x2e132d0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff9a8dc020) at kernel/qobject.cpp:3547
#12 0x00007f1051fc70aa in QItemSelectionModel::currentChanged (this=this@entry=0x2e132d0, _t1=..., _t2=...) at .moc/release-shared/moc_qitemselectionmodel.cpp:173
#13 0x00007f1051fc7199 in QItemSelectionModel::setCurrentIndex (this=0x2e132d0, index=..., command=...) at itemviews/qitemselectionmodel.cpp:1175
#14 0x00007f1052b4c85e in Playlist::PrettyListView::trackActivated (this=this@entry=0x2e0edf0, idx=...) at ../../src/playlist/view/listview/PrettyListView.cpp:327
#15 0x00007f1052b51bf0 in Playlist::PrettyListView::keyPressEvent (this=0x2e0edf0, event=0x7fff9a8dcad0) at ../../src/playlist/view/listview/PrettyListView.cpp:461
#16 0x00007f1051ab88db in QWidget::event (this=0x2e0edf0, event=0x7fff9a8dcad0) at kernel/qwidget.cpp:8406
#17 0x00007f1051e67b66 in QFrame::event (this=0x2e0edf0, e=0x7fff9a8dcad0) at widgets/qframe.cpp:557
#18 0x00007f1051ee782b in QAbstractScrollArea::event (this=0x2e0edf0, e=0x7fff9a8dcad0) at widgets/qabstractscrollarea.cpp:996
#19 0x00007f1051f7cd8b in QAbstractItemView::event (this=0x2e0edf0, event=0x7fff9a8dcad0) at itemviews/qabstractitemview.cpp:1580
#20 0x00007f1051a68e9c in QApplicationPrivate::notify_helper (this=this@entry=0x1daeb70, receiver=receiver@entry=0x2e0edf0, e=e@entry=0x7fff9a8dcad0) at kernel/qapplication.cpp:4562
#21 0x00007f1051a6de84 in QApplication::notify (this=<optimized out>, receiver=0x2e0edf0, e=0x7fff9a8dcad0) at kernel/qapplication.cpp:4003
#22 0x00007f105383a626 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0x00007f105108756e in QCoreApplication::notifyInternal (this=0x7fff9a8dfcb0, receiver=0x2e0edf0, event=0x7fff9a8dcad0) at kernel/qcoreapplication.cpp:915
#24 0x00007f1051b09e79 in QKeyMapper::sendKeyEvent (keyWidget=keyWidget@entry=0x2e0edf0, grab=grab@entry=false, type=QEvent::KeyPress, code=16777220, modifiers=..., text=..., autorepeat=autorepeat@entry=false, count=1, nativeScanCode=36, nativeVirtualKey=65293, nativeModifiers=16) at kernel/qkeymapper_x11.cpp:1866
#25 0x00007f1051b0a2b1 in QKeyMapperPrivate::translateKeyEvent (this=0x1e3f0e0, keyWidget=0x2e0edf0, event=0x7fff9a8dd500, grab=<optimized out>) at kernel/qkeymapper_x11.cpp:1836
#26 0x00007f1051ae5ed9 in QApplication::x11ProcessEvent (this=0x7fff9a8dfcb0, event=0x7fff9a8dd500) at kernel/qapplication_x11.cpp:3630
#27 0x00007f1051b0dfa2 in x11EventSourceDispatch (s=0x1daf700, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#28 0x00007f104b174ab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f104b174de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f104b174ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f10510b5bf6 in QEventDispatcherGlib::processEvents (this=0x1befad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#32 0x00007f1051b0dc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f10510862bf in QEventLoop::processEvents (this=this@entry=0x7fff9a8dd8d0, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f1051086548 in QEventLoop::exec (this=0x7fff9a8dd8d0, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f105108b708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#36 0x000000000040909a in main (argc=1, argv=0x7fff9a8dfe18) at ../../src/main.cpp:329

Possible duplicates by query: bug 268112.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-12-31 18:37:15 UTC
I think we have seen this before, but the crash is not always reproducible:

#14 0x00007f1052b4c85e in Playlist::PrettyListView::trackActivated (this=this@entry=0x2e0edf0, idx=...) at ../../src/playlist/view/listview/PrettyListView.cpp:327
#15 0x00007f1052b51bf0 in Playlist::PrettyListView::keyPressEvent (this=0x2e0edf0, event=0x7fff9a8dcad0) at ../../src/playlist/view/listview/PrettyListView.cpp:461
Comment 2 Ralf Engels 2013-01-06 22:27:52 UTC
See it too.
Comment 3 Ralf Engels 2013-01-06 22:45:01 UTC
Git commit 647192b6592c907c2d6312f1be181bda3c5fec86 by Ralf Engels.
Committed on 06/01/2013 at 23:37.
Pushed by rengels into branch 'master'.

Revert "PrettyListView: remove obsolete work-arounds for Qt < 4.8"

This reverts commit c98605d3c0b2ca9b0ae9264a2db9eb250f56798c.
Note: This work-around is still needed for 4.8
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +59   -2    src/playlist/view/listview/PrettyListView.cpp
M  +5    -4    src/playlist/view/listview/PrettyListView.h

http://commits.kde.org/amarok/647192b6592c907c2d6312f1be181bda3c5fec86
Comment 4 Myriam Schweingruber 2013-01-08 15:41:36 UTC
*** Bug 312028 has been marked as a duplicate of this bug. ***